Debian Bug report logs - #600544
unblock: cdrkit/1.1.11-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Steve McIntyre <steve@einval.com>

Date: Sun, 17 Oct 2010 23:48:01 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#600544; Package release.debian.org. (Sun, 17 Oct 2010 23:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Oct 2010 23:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: cdrkit/1.1.11-1
Date: Mon, 18 Oct 2010 00:43:41 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Hi folks,

Please unblock package cdrkit

cdrkit (9:1.1.11-1) unstable; urgency=low

  * New upstream release.
    - genisoimage: Fix silly bug in MD5 output in template files.
      Closes: #596681
    - Update references to atterer.org (Closes: #596860)
    - Minor tweaks to the genisoimage.1 man page
  * Remove the old cdrecord/cdda2wav/mkisofs transitional packages.
    Closes: #513024
  * Updates for lintian warnings:
    - Add ${misc:Depends}
    - Fix build dependency on cmake to be less version specific
    - Change ordering of dh_ commands
    - Updated Standards-Version to 3.9.1
    - Refer to /usr/share/common-licenses/GPL-2 instead of
      /usr/share/common-licenses/GPL
    - Fix some typos/spelling mistakes in docs
    - Removed empty wodim maintainer scripts

 -- Steve McIntyre <93sam@debian.org>  Sun, 17 Oct 2010 23:33:48 +0100

It's a new upstream version, but as we're upstream anyway it's a tiny
change from 1.1.10 to 1.1.11. I've rolled in the one major RC fix for
#596681 and a couple of minor changes in docs. (Maybe) most
controversial is the removal of the ancient transitional packages
cdrecord/cdda2wav/mkisofs; I've been meaning to do that for ages, just
not got round to it until now.

If any more changes turn up before release, I'm planning on dropping
them in as further Debian patches against 1.1.11. 1.1.12 will contain
some more invasive upstream changes that I wouldn't want to push for
Squeeze.

unblock cdrkit/1.1.11-1

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Thanks,
Steve




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#600544; Package release.debian.org. (Mon, 18 Oct 2010 12:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Oct 2010 12:15:08 GMT) Full text and rfc822 format available.

Message #10 received at 600544@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: "Steve McIntyre" <steve@einval.com>, 600544@bugs.debian.org
Subject: Re: Bug#600544: unblock: cdrkit/1.1.11-1
Date: Mon, 18 Oct 2010 13:10:41 +0100
On Mon, October 18, 2010 00:43, Steve McIntyre wrote:
> Please unblock package cdrkit

This doesn't seem to have made it to the archive yet.

From the queued logs, it looks like the signature check failed on the
.changes, which was then re-uploaded.  At that point, queued started
reporting:

Oct 18 08:29:16 processing /cdrkit_1.1.11-1_amd64.changes
Oct 18 08:29:16 cdrkit_1.1.11-1.dsc is too small (ignored for now)

and has continued to do so on every run since.

I'd suggest dcut-ing and reuploading from scratch.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#600544; Package release.debian.org. (Mon, 18 Oct 2010 12:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Oct 2010 12:39:02 GMT) Full text and rfc822 format available.

Message #15 received at 600544@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 600544@bugs.debian.org
Subject: Re: Bug#600544: unblock: cdrkit/1.1.11-1
Date: Mon, 18 Oct 2010 13:35:27 +0100
On Mon, Oct 18, 2010 at 01:10:41PM +0100, Adam Barratt wrote:
>On Mon, October 18, 2010 00:43, Steve McIntyre wrote:
>> Please unblock package cdrkit
>
>This doesn't seem to have made it to the archive yet.
>
>From the queued logs, it looks like the signature check failed on the
>.changes, which was then re-uploaded.  At that point, queued started
>reporting:
>
>Oct 18 08:29:16 processing /cdrkit_1.1.11-1_amd64.changes
>Oct 18 08:29:16 cdrkit_1.1.11-1.dsc is too small (ignored for now)
>
>and has continued to do so on every run since.
>
>I'd suggest dcut-ing and reuploading from scratch.

Yeah, makes sense. debsign helpfully picked up my old key despite
settings in my gpg.conf saying otherwise. Re-uploaded and accepted for
unstable now.

Cheers,

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Can't keep my eyes from the circling sky,
Tongue-tied & twisted, Just an earth-bound misfit, I...





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#600544; Package release.debian.org. (Mon, 18 Oct 2010 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Oct 2010 18:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 600544@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Steve McIntyre <steve@einval.com>, 600544@bugs.debian.org
Subject: Re: Bug#600544: unblock: cdrkit/1.1.11-1
Date: Mon, 18 Oct 2010 19:36:26 +0100
On Mon, 2010-10-18 at 00:43 +0100, Steve McIntyre wrote:
> cdrkit (9:1.1.11-1) unstable; urgency=low
> 
>   * New upstream release.
>     - genisoimage: Fix silly bug in MD5 output in template files.
>       Closes: #596681
>     - Update references to atterer.org (Closes: #596860)
>     - Minor tweaks to the genisoimage.1 man page

These all look fine.

>   * Remove the old cdrecord/cdda2wav/mkisofs transitional packages.
>     Closes: #513024

As discussed on IRC, there are a handful of packages still in Squeeze
which still depend on the old packages:

cdrbq - orphaned; last upload was an NMU a year ago, prior to that 2006
mp3burn - last upload 2008
mp3c - no upload since 2004; fix apparently pending since March
multicd - no upload since 2004

>   * Updates for lintian warnings:
>     - Add ${misc:Depends}
>     - Fix build dependency on cmake to be less version specific
>     - Change ordering of dh_ commands
>     - Updated Standards-Version to 3.9.1
>     - Refer to /usr/share/common-licenses/GPL-2 instead of
>       /usr/share/common-licenses/GPL
>     - Fix some typos/spelling mistakes in docs
>     - Removed empty wodim maintainer scripts

We'd generally discourage most of these changes at this point.  However,
I've checked that they don't make any material difference to the
generated binary packages so I'm happy to leave them in now that they've
been made.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#600544; Package release.debian.org. (Mon, 18 Oct 2010 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 18 Oct 2010 20:51:06 GMT) Full text and rfc822 format available.

Message #25 received at 600544@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 600544@bugs.debian.org
Subject: Re: Bug#600544: unblock: cdrkit/1.1.11-1
Date: Mon, 18 Oct 2010 21:47:50 +0100
On Mon, Oct 18, 2010 at 07:36:26PM +0100, Adam Barratt wrote:
>On Mon, 2010-10-18 at 00:43 +0100, Steve McIntyre wrote:
>> cdrkit (9:1.1.11-1) unstable; urgency=low
>> 
>>   * New upstream release.
>>     - genisoimage: Fix silly bug in MD5 output in template files.
>>       Closes: #596681
>>     - Update references to atterer.org (Closes: #596860)
>>     - Minor tweaks to the genisoimage.1 man page
>
>These all look fine.
>
>>   * Remove the old cdrecord/cdda2wav/mkisofs transitional packages.
>>     Closes: #513024
>
>As discussed on IRC, there are a handful of packages still in Squeeze
>which still depend on the old packages:
>
>cdrbq - orphaned; last upload was an NMU a year ago, prior to that 2006
>mp3burn - last upload 2008
>mp3c - no upload since 2004; fix apparently pending since March
>multicd - no upload since 2004

Yup, as discussed. All 4 packages already had bugs open asking for
deps/code to be updated to use the real packages instead of the
transitional packages. I've posted to all of them and raised each to
severity: important. #593860, #405644, #401700, #418480.

>>   * Updates for lintian warnings:
>>     - Add ${misc:Depends}
>>     - Fix build dependency on cmake to be less version specific
>>     - Change ordering of dh_ commands
>>     - Updated Standards-Version to 3.9.1
>>     - Refer to /usr/share/common-licenses/GPL-2 instead of
>>       /usr/share/common-licenses/GPL
>>     - Fix some typos/spelling mistakes in docs
>>     - Removed empty wodim maintainer scripts
>
>We'd generally discourage most of these changes at this point.  However,
>I've checked that they don't make any material difference to the
>generated binary packages so I'm happy to leave them in now that they've
>been made.

Cool, thanks.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
We don't need no education.
We don't need no thought control.





Added blocking bug(s) of 600544: 405644, 401700, 593860, and 418480 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 02 Nov 2010 16:33:04 GMT) Full text and rfc822 format available.

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 06 Nov 2010 16:18:08 GMT) Full text and rfc822 format available.

Notification sent to Steve McIntyre <steve@einval.com>:
Bug acknowledged by developer. (Sat, 06 Nov 2010 16:18:08 GMT) Full text and rfc822 format available.

Message #32 received at 600544-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Steve McIntyre <steve@einval.com>, 600544-done@bugs.debian.org
Subject: Re: Bug#600544: unblock: cdrkit/1.1.11-1
Date: Sat, 06 Nov 2010 16:14:52 +0000
On Mon, 2010-10-18 at 21:47 +0100, Steve McIntyre wrote:
> On Mon, Oct 18, 2010 at 07:36:26PM +0100, Adam Barratt wrote:
> >On Mon, 2010-10-18 at 00:43 +0100, Steve McIntyre wrote:
[...]
> >>   * Remove the old cdrecord/cdda2wav/mkisofs transitional packages.
> >>     Closes: #513024
> >
> >As discussed on IRC, there are a handful of packages still in Squeeze
> >which still depend on the old packages:
> >
> >cdrbq - orphaned; last upload was an NMU a year ago, prior to that 2006
> >mp3burn - last upload 2008
> >mp3c - no upload since 2004; fix apparently pending since March
> >multicd - no upload since 2004

mp3burn has been updated and migrated, and the remaining three packages
have been removed from testing, allowing cdrkit to migrate during this
morning's britney run.

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Dec 2010 07:33:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:42:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.